// Functions in parent window called from child windows
function getRegisteredUser() {
	return JSON.stringify(registeredUser);
}

function getCurrentISY() {
	return JSON.stringify(currentISY);
}


function getSessionStorage(key) {
	return JSON.parse(sessionStorage.getItem(key))
}

function setSessionStorage(key, content) {
	sessionStorage.setItem(key, JSON.stringify(content));
}

// Functions called from child windows
function initRegisteredUser() {
	var user = getSessionStorage('udiportal');

	if (user) {  // Use sessionStorage data if available
		registeredUser = user.registeredUser;
	}
	else if (window.opener) { // Otherwise, request to the parent (IE/Edge will use this on first launch, then use sessionStorage)
		var registeredUserStr = window.opener.getRegisteredUser();

		if (registeredUserStr) {
			registeredUser = JSON.parse(registeredUserStr);

			// Keep copy in this session storage, in case parent window gets closed.
			setSessionStorage('udiportal', { registeredUser: registeredUser });
		}
	}
	else {
		console.log('Initializing RegisteredUser: Neither session storage nor parent window are available')
	}
}

function initCurrentISY() {
	var data = getSessionStorage('udidevice');

	if (data) {  // Use sessionStorage data if available
		currentISY = data;
	}
	else if (window.opener) { // Otherwise, request to the parent (IE/Edge will use this on first launch, then use sessionStorage)
		var currentISYStr = window.opener.getCurrentISY();
		
		if (currentISYStr) {
			currentISY = JSON.parse(currentISYStr);

			// Keep copy in this session storage, in case parent window gets closed.
			setSessionStorage('udidevice', currentISY);
		}
	}
	else {
		console.log('Initializing currentISY: Neither session storage nor parent window are available')
	}
}